## org.omg.CORBA
Class PolicyManagerHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PolicyManagerHelper

public class PolicyManagerHelper
extends java.lang.Object

Helper class for : PolicyManager

Author:
  OpenORB Compiler

Constructor Summary
`PolicyManagerHelper()`

Method Summary
`static PolicyManager` `extract(Any a)` Extract PolicyManager from an any
`static java.lang.String` `id()` Return the PolicyManager IDL ID
`static void` `insert(Any a, PolicyManager t)` Insert PolicyManager into an any
`static PolicyManager` `narrow(Object obj)` Narrow CORBA::Object to PolicyManager
`static PolicyManager` `read(InputStream istream)` Read PolicyManager from a marshalled stream
`static TypeCode` `type()` Return the PolicyManager TypeCode
`static PolicyManager` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to PolicyManager
`static void` `write(OutputStream ostream, PolicyManager value)` Write PolicyManager into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyManagerHelper

    public PolicyManagerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PolicyManager t)

  Insert PolicyManager into an any
  Parameters:
    `a` - an any
    `t` - PolicyManager value

### extract

    public static PolicyManager extract(Any a)

  Extract PolicyManager from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PolicyManager value

### type

    public static TypeCode type()

  Return the PolicyManager TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PolicyManager IDL ID
  Returns:
    an ID

### read

    public static PolicyManager read(InputStream istream)

  Read PolicyManager from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PolicyManager value

### write

    public static void write(OutputStream ostream,
                             PolicyManager value)

  Write PolicyManager into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PolicyManager value

### narrow

    public static PolicyManager narrow(Object obj)

  Narrow CORBA::Object to PolicyManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyManager Object

### unchecked_narrow

    public static PolicyManager unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to PolicyManager
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyManager Object